<?php bb_get_header(); ?>

<div class="breadcrumb section">
	<h3 class="section-header">
		<a href="<?php bb_option('uri'); ?>"><?php bb_option('name'); ?></a> &raquo; <?php _e('Favorites','rag'); ?> &raquo; <?php _e('Current Favorites','rag'); ?><?php if($topics) echo ' (' . $favorites_total . ')'; ?>
	</h3>
</div>

<div class="section">

	<p>
		<?php _e("Your Favorites allow you to create a custom <abbr title=\"Really Simple Syndication\">RSS</abbr> feed which pulls recent replies to the topics you specify.","rag"); ?> 
		<?php _e("To add topics to your list of favorites, just click the \"Add to Favorites\" link found on that topic&#8217;s page.","rag"); ?>
	</p>

	<?php if($user_id == bb_get_current_user_info('id')) : ?>
		<p>
			<?php printf(__('Subscribe to your favorites&#8217; <a href="%s"><abbr title="Really Simple Syndication">RSS</abbr> feed</a>.','rag'), attribute_escape(get_favorites_rss_link(bb_get_current_user_info('id')))); ?>
		</p>
	<?php endif; ?>

	<?php if($topics) : ?>

		<table id="favorites">
			<tr>
				<th class="topic"><?php _e('Topic','rag'); ?></th>
				<th class="posts"><?php _e('Posts','rag'); ?></th>
				<th class="freshness"><?php _e('Freshness','rag'); ?></th>
				<th class="remove"><?php _e('Remove','rag'); ?></th>
			</tr>

			<?php foreach($topics as $topic) : ?>
				<tr<?php topic_class(); ?>>
					<td><?php bb_topic_labels(); ?> <a href="<?php topic_link(); ?>"><?php topic_title(); ?></a></td>
					<td><?php topic_posts(); ?></td>
					<td><a href="<?php echo str_replace("&", '&amp;', get_topic_last_post_link()); ?>"><?php topic_time(); ?></a></td>
					<td>[<?php user_favorites_link('', array('mid'=>'x'), $user_id); ?>]</td>
				</tr>
			<?php endforeach; ?>
		</table>

		<div class="navigation-links">
			<?php favorites_pages(); ?>
		</div>

	<?php else: ?>

		<?php if($user_id == bb_get_current_user_info('id')) : ?>

			<p><?php _e('You currently have no favorites.','rag'); ?></p>

		<?php else : ?>

			<p><?php echo get_user_name($user_id); ?> <?php _e('currently has no favorites.','rag'); ?></p>

		<?php endif; ?>

	<?php endif; ?>

</div>

<?php bb_get_footer(); ?>