<?php bb_get_header(); ?>

	<div class="breadcrumb section">
		<h3 class="section-header">
			<a href="<?php bb_option('uri'); ?>"><?php bb_option('name'); ?></a> &raquo; <?php _e('Edit Profile'); ?> &raquo; <?php echo get_user_name($user->ID); ?>
		</h3>
	</div>

	<form method="post" action="<?php profile_tab_link($user->ID, 'edit'); ?>">

	<fieldset>
		<legend><?php _e('Profile Info','rag'); ?></legend>
		<?php bb_profile_data_form(); ?>
	</fieldset>

	<?php if(bb_current_user_can('edit_users')) : ?>

		<fieldset>
			<legend><?php _e('Administration','rag'); ?></legend>
			<?php bb_profile_admin_form(); ?>
		</fieldset>

	<?php endif; ?>

	<?php if(bb_current_user_can('change_user_password', $user->ID)) : ?>

		<fieldset>
			<legend><?php _e('Password','rag'); ?></legend>
			<p>
				<?php _e('To change your password, enter a new password twice below:','rag'); ?>
			</p>

			<table>
				<tr>
					<th scope="row"><?php _e('New password:','rag'); ?></th>
					<td><input name="pass1" type="password" id="pass1" size="30" maxlength="100" /></td>
				</tr>
				<tr>
					<th><?php _e('Password again:','rag'); ?></th>
					<td><input name="pass2" type="password" id="pass2" size="30" maxlength="100" /></td>
				</tr>
			</table>
		</fieldset>

	<?php endif; ?>

		<p class="submit">
			<input type="submit" name="Submit" value="<?php echo attribute_escape(__('Update Profile &raquo;','rag')); ?>" />
		</p>

	</form>

	<form method="post" action="<?php profile_tab_link($user->ID, 'edit');  ?>">

		<p class="submit">
			<?php bb_nonce_field('edit-profile_' . $user->ID); ?>
			<?php user_delete_button(); ?>
		</p>

	</form>

<?php bb_get_footer(); ?>