<?php bb_get_header(); ?>

<div class="breadcrumb section">
	<h3 class="section-header">
		<a href="<?php bb_option('uri'); ?>"><?php bb_option('name'); ?></a> &raquo; <?php _e('Profile','rag') ?> &raquo; <?php echo get_user_name($user->ID); ?>
	</h3>
</div>

<div class="section profile">

	<?php echo bb_get_avatar($user->ID,80, 'wavatar'); ?>

	<?php bb_profile_data(); ?>

	<?php if($updated) : ?>

		<div class="notice">
			<p>
				<?php _e('Profile updated','rag'); ?>. <a href="<?php profile_tab_link($user_id, 'edit'); ?>"><?php _e('Edit again &raquo;','rag'); ?></a>
			</p>
		</div>

	<?php elseif($user_id == bb_get_current_user_info('id')) : ?>

		<div class="notice">
			<p>
				<?php _e('This is how your profile appears to a logged in member.','rag'); ?>
				<?php if(bb_current_user_can('edit_user', $user->ID)) : ?>
						<?php printf(__('You may <a href="%1$s">edit this information</a>.','rag'), attribute_escape(get_profile_tab_link($user_id, 'edit'))); ?>
				<?php endif; ?>
			</p>

			<?php if(bb_current_user_can('edit_favorites_of', $user->ID)) : ?>
				<p>
					<?php printf(__('You can also <a href="%1$s">manage your favorites</a> and subscribe to your favorites&#8217; <a href="%2$s"><abbr title="Really Simple Syndication">RSS</abbr> feed</a>.','rag'), attribute_escape(get_favorites_link()), attribute_escape(get_favorites_rss_link())); ?>
				</p>
			<?php endif; ?>
		</div>

	<?php endif; ?>

	<div id="user-replies" class="user-recent">

		<h4>
			<?php _e('Recent Replies','rag'); ?>
		</h4>

		<?php if($posts) : ?>

			<ol>
			<?php foreach ($posts as $bb_post) : $topic = get_topic($bb_post->topic_id); ?>

				<li<?php alt_class('replies'); ?>>
					<a href="<?php topic_link(); ?>"><?php topic_title(); ?></a>
					<span class="freshness">
					<?php
						if($user->ID == bb_get_current_user_info('id')) printf(__('You last replied: %s ago.','rag'), bb_get_post_time());
						else printf(__('User last replied: %s ago.','rag'), bb_get_post_time());
					?>
					<?php
						if(bb_get_post_time('timestamp') < get_topic_time('timestamp'))
							printf(__('Most recent reply: %s ago','rag'), get_topic_time());
						else
							_e('No replies since.','rag');
					?>
					</span>
				</li>

			<?php endforeach; ?>
			</ol>

		<?php else : ?>

			<?php if($page) : ?>
				<p><?php _e('No more replies.','rag') ?></p>
			<?php else : ?>
				<p><?php _e('No replies yet.','rag') ?></p>
			<?php endif; ?>

		<?php endif; ?>
	</div>

	<div id="user-threads" class="user-recent">

		<h4>
			<?php _e('Topics Started','rag') ?>
		</h4>

		<?php if($topics) : ?>

			<ol>
			<?php foreach ($topics as $topic) : ?>

				<li<?php alt_class('topics'); ?>>
					<a href="<?php topic_link(); ?>"><?php topic_title(); ?></a>
					<span class="freshness">
					<?php printf(__('Started: %s ago','rag'), get_topic_start_time()); ?>
					<?php
						if (get_topic_start_time('timestamp') < get_topic_time('timestamp'))
							printf(__('Most recent reply: %s ago.','rag'), get_topic_time());
						else
							_e('No replies.','rag');
					?>
					</span>
				</li>

			<?php endforeach; ?>
			</ol>

		<?php else : ?>

			<?php if($page) : ?>
				<p><?php _e('No more topics posted.','rag') ?></p>
			<?php else : ?>
				<p><?php _e('No topics posted yet.','rag') ?></p>
			<?php endif; ?>

		<?php endif;?>
	</div>

</div>

<?php profile_pages(); ?>

<?php bb_get_footer(); ?>