<?php bb_get_header(); ?>

	<div class="breadcrumb section">
		<h3 class="section-header">
			<a href="<?php bb_option('uri'); ?>"><?php bb_option('name'); ?></a><?php bb_forum_bread_crumb(); ?> &raquo; <?php topic_title(); ?>
		</h3>
	</div>

	<div class="infobox">

		<div id="topic-info">

			<h3><?php _e('About this topic','rag'); ?></h3>

			<ul>
				<li>
				<?php _e('Posted by','rag'); ?> <?php echo get_topic_author(); ?> <?php echo get_topic_start_time(); ?> <?php _e('ago.','rag'); ?> 
				<?php _e('There are','rag'); ?> <?php topic_posts_link(); ?>.  <?php printf(__('The <a href="%1$s">latest reply</a> is from %2$s'), attribute_escape(get_topic_last_post_link()), get_topic_last_poster()); ?>.
				</li>

				<?php if(bb_is_user_logged_in()) : ?>
					<li><?php user_favorites_link(); ?></li>
				<?php endif; ?>

				<?php do_action('topicmeta'); ?>
			</ul>
		</div>

		<?php topic_tags(); ?>

	</div>

	<?php do_action('under_title', ''); ?>

	<?php if($posts) : ?>

		<div class="navigation-links section">
			<?php topic_pages(); ?>
		</div>

		<ol id="thread">

		<?php foreach($posts as $bb_post) : $del_class = post_del_class(); ?>

			<li id="post-<?php post_id(); ?>"<?php alt_class('post', $del_class); ?>>
				<?php bb_post_template(); ?>
			</li>

		<?php endforeach; ?>

		</ol>

		<div class="navigation-links section">
			<?php topic_pages(); ?>
		</div>

		<p><a href="<?php topic_rss_link(); ?>" class="rss-link"><?php _e('RSS feed for this topic','rag') ?></a></p>

	<?php endif; ?>

	<?php if(topic_is_open($bb_post->topic_id)) : ?>

		<?php post_form(); ?>

	<?php else : ?>

		<h2 class="section-header">
			<?php _e('Topic Closed','rag') ?>
		</h2>

		<p><?php _e('This topic has been closed to new replies.','rag') ?></p>

	<?php endif; ?>

	<?php if(bb_current_user_can('delete_topic', get_topic_id()) || bb_current_user_can('close_topic', get_topic_id()) || bb_current_user_can('stick_topic', get_topic_id()) || bb_current_user_can('move_topic', get_topic_id())) : ?>

		<div class="admin section">
			<p><?php topic_delete_link(); ?> <?php topic_close_link(); ?> <?php topic_sticky_link(); ?></p>
			<?php topic_move_dropdown(); ?>
		</div>

	<?php endif; ?>

<?php bb_get_footer(); ?>